Skip to main content
GET
/
api
/
v1
/
suppliers
/
{supplier_id}
Get Supplier
curl --request GET \
  --url https://staging.cutmake.ai/api/v1/suppliers/{supplier_id}
{
  "id": "<string>",
  "name": "<string>",
  "approvedVendor": true,
  "documentId": "<string>",
  "country": "<string>",
  "contactPerson": "<string>",
  "email": "<string>",
  "phoneNumber": "<string>",
  "address": "<string>",
  "specialization": "<string>",
  "notes": "<string>",
  "createdAt": "<string>"
}

Headers

X-Org-Id
string | null

Path Parameters

supplier_id
string
required

Response

Successful Response

id
string
required
name
string
required
approvedVendor
boolean
required
documentId
string | null
country
string | null
contactPerson
string | null
email
string | null
phoneNumber
string | null
address
string | null
specialization
string | null
notes
string | null
createdAt
string | null